1bbc99e957e25e25919ba544d205eb63e6fee83d
[claws.git] / doc / manual / en / sylpheed-4.html
1 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
2 <HTML>
3 <HEAD>
4  <META NAME="GENERATOR" CONTENT="SGML-Tools 1.0.9">
5  <TITLE>Sylpheed User's Manual: Installation.</TITLE>
6  <LINK HREF="sylpheed-5.html" REL=next>
7  <LINK HREF="sylpheed-3.html" REL=previous>
8  <LINK HREF="sylpheed.html#toc4" REL=contents>
9 </HEAD>
10 <BODY>
11 <A HREF="sylpheed-5.html">Next</A>
12 <A HREF="sylpheed-3.html">Previous</A>
13 <A HREF="sylpheed.html#toc4">Contents</A>
14 <HR>
15 <H2><A NAME="s4">4. Installation.</A></H2>
16
17 <H2><A NAME="ss4.1">4.1 Required environment</A>
18 </H2>
19
20 <P>To succesfully compile Sylpheed, you need at least:
21 <UL>
22 <LI>Any POSIX compliant UNIX or similar OS eg. Linux, FreeBSD, Solaris</LI>
23 <LI>GTK+ 1.2.6 or later</LI>
24 <LI>A recent ANSI C compiler (gcc 2.7.2.3 should also work) Note: it is reported that Sun C will not compile Sylpheed.</LI>
25 </UL>
26
27 Optionally you need:
28 <UL>
29 <LI>Imlib or gdk-pixbuf (for built-in image view)</LI>
30 <LI>libcompface (for X-Face)</LI>
31 <LI>libjconv (for I18N)</LI>
32 <LI>GPGME (for GnuPG)</LI>
33 <LI>the equivalent of GTK+-devel and Xfree86-devel. (Otherwise ./configure will fail.)</LI>
34 </UL>
35
36 Notice: Sylpheed may be unstable depending on the environment. Please use the newest version of libraries if possible.
37 <H2><A NAME="ss4.2">4.2 Environments known as valid for Sylpheed</A>
38 </H2>
39
40 <P>
41 <UL>
42 <LI>Debian GNU/Linux unstable (sid) (glibc 2.2) (development environment) </LI>
43 <LI>Debian GNU/Linux 2.2 (potato) (glibc 2.1.3) </LI>
44 <LI>Kondara MNU/Linux (glibc 2.1.x) </LI>
45 <LI>Vine Linux 1.1 (glibc 2.0.x + libwcsmbs) </LI>
46 <LI>Vine Linux 2.0 (glibc 2.1.x) (Intel, PPC) </LI>
47 <LI>Vine Linux 2.1 </LI>
48 <LI>Laser5 Linux 6.0 (glibc 2.1.x) , 6.2, 6.4</LI>
49 <LI>TurboLinux 4.0 (glibc 2.0.7 + libwcsmbs) </LI>
50 <LI>TurboLinux 6.0 (glibc 2.1.2) </LI>
51 <LI>Miracle Linux Standard Edition Version1.0 </LI>
52 <LI>Miracle Linux for PostgreSQL Version1.0 </LI>
53 <LI>Miracle Linux for Samba Version1.0 </LI>
54 <LI>RedHat Linux 5.2 (glibc 2.0.7) </LI>
55 <LI>RedHat Linux 6.0 </LI>
56 <LI>RedHat Linux 6.1 + Helix GNOME (glibc 2.1.x) </LI>
57 <LI>RedHat Linux 6.2 / 6.2J (glibc 2.1.x) </LI>
58 <LI>RedHat Linux 7.0 / 7.0J </LI>
59 <LI>RedHat Linux 7.1 </LI>
60 <LI>LinuxPPC2000 + Yukikaze(Japanization kit) </LI>
61 <LI>Linux2000G (Intel, PowerPC) </LI>
62 <LI>HOLON Linux 2.0 (Intel / PPC) </LI>
63 <LI>Linux for PPC Japanese Edition 2.0 and 3.0 (glibc 2.1.x) </LI>
64 <LI>Linux MLD4</LI>
65 <LI>Linux MLD5 </LI>
66 <LI>Plamo Linux 2.0 </LI>
67 <LI>Slackware 7.1 </LI>
68 <LI>Linux Mandrake 7.0 through 8.0</LI>
69 <LI>SuSE Linux 6.3 (glibc 2.1.2) </LI>
70 <LI>SuSE Linux 6.4, 7.0, 7.1</LI>
71 <LI>OpenLinux 2.3 (glibc 2.1.1 -> 2.1.3) </LI>
72 <LI>Caldera OpenDesktop 2.4 </LI>
73 <LI>Conectiva Linux 4.0 and 5.0</LI>
74 <LI>Vector Linux 1.5 </LI>
75 <LI>FreeBSD releases 3.2, 3.4, 4.0, 4.1, 4.2 and 5.0</LI>
76 <LI>NetBSD 1.4.2 </LI>
77 <LI>NetBSD 1.5 + XPG4DL </LI>
78 <LI>OpenBSD 2.7 </LI>
79 <LI>OpenBSD 2.8 (i386) </LI>
80 <LI>BSD/OS 4.0.1 </LI>
81 <LI>Solaris 2.5, 2.5.2., 2.6, 7, 8</LI>
82 <LI>IRIX 6.3 and 6.5, 6.5.8m </LI>
83 <LI>HP-UX 10.20 </LI>
84 <LI>Mac OS X (Darwin 1.3) + Xtools (has locale problem) </LI>
85 <LI>Windows (cygwin + GTK+ for win32) (unstable) </LI>
86 </UL>
87 <H2><A NAME="ss4.3">4.3 Nuts and bolts of installation</A>
88 </H2>
89
90 <P>
91 <UL>
92 <LI>Untar the sourcefiles to a new directory</LI>
93 <LI>tar -xvfz sylpheed-.tar.gz (for tar.gz)</LI>
94 <LI>tar -xvfI sylpheed-.tar.bz2 (for tar.bz2) </LI>
95 <LI>cd to the new sylpheed- directory </LI>
96 <LI>Run ./configure to check your environment and create the installation make files </LI>
97 <LI>Run the 'make' program which will compile the sources. Do not proceed with this step if there are fatal errors in the previous step. Fatal errors indicate that things are missing in order to compile Sylpheed properly. </LI>
98 </UL>
99 <P>If the make process has completed, run "make install" (as root), to install the program and the supportfiles
100 <H2><A NAME="ss4.4">4.4 Installation on Linux using RPM</A>
101 </H2>
102
103 <P>As root, run the "rpm -ivh " command on the RPM file you downloaded. As soon as this process is complete you can run Sylpheed as user. 
104 <H2><A NAME="ss4.5">4.5 Installation on Debian Linux</A>
105 </H2>
106
107 <P>With an internet connection :
108 <P>apt-get install sylpheed (to install it with a internet connection)
109 <P>Without internet connection, fetch the debian package for example on http://packages.debian.org/unstable/mail/sylpheed.html
110 <P>dpkg -i sylpheedx.x.x-1i386.deb
111 <P>dpkg --install sylpheedx.x.x-1i386.deb
112 <H2><A NAME="ss4.6">4.6 Installation on FreeBSD</A>
113 </H2>
114
115 <P>using the /stand/sysinstall tool (it is a menu-based interface) :
116 <P>run "/stand/sysinstall" as root
117 <P>in the main menu choose "Configure" -> "Packages" -> "mail", then "sylpheed" then, back to the "Packages" list, choose "Install"
118 <P>Using the ports
119 <P>Get the sylpheed port on :
120 <P>ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail
121 <P>then, as root: pkg-add sylpheed-0.x.x.tgz
122 <P>using the ports with compiling:
123 <P>first, update your port, fetch it on http://www.freebsd.org/ports/mail.html
124 <P>cd /usr/ports/mail/sylpheed
125 <P>make
126 <P>If it succeeds, type "make install"
127 <P>In case it fails, fetch the required package if necessary
128 (on the same page), put the package file in /usr/ports/distfiles/
129 then :
130 <UL>
131 <LI>cd /usr/ports/mail/sylpheed</LI>
132 <LI>make</LI>
133 <LI>make install</LI>
134 </UL>
135 <P>Need a more up-to-date version ?
136 <P>Just use the Unix standard method (see "Nuts and bolts of installation")
137 <HR>
138 <A HREF="sylpheed-5.html">Next</A>
139 <A HREF="sylpheed-3.html">Previous</A>
140 <A HREF="sylpheed.html#toc4">Contents</A>
141 </BODY>
142 </HTML>